Bug 24090 - Subfield text in red when mandatory in record edition
Summary: Subfield text in red when mandatory in record edition
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-22 13:58 UTC by Fridolin Somers
Modified: 2020-06-04 20:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01, 19.05.07, 18.11.13


Attachments
Bug 24090: Subfield text in red when mandatory in record edition (1007 bytes, patch)
2019-11-22 14:06 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 24090: Subfield text in red when mandatory in record edition (1007 bytes, patch)
2019-12-06 17:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24090: Subfield text in red when mandatory in record edition (1.08 KB, patch)
2019-12-13 07:20 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2019-11-22 13:58:07 UTC
In record edition, color subfield text in red when mandatory.
Like patron fields in patron edition form.
Comment 1 Fridolin Somers 2019-11-22 14:06:54 UTC
Created attachment 95725 [details] [review]
Bug 24090: Subfield text in red when mandatory in record edition

In biblio or autority record edition, color subfield text in red when mandatory.
Like patron fields in patron edition form.

Test plan :
1) Edit a biblio record
2) See that mandatory subield text is red (#C00)
3) Same in autority record edition
Comment 2 Lucas Gass 2019-12-06 17:35:45 UTC
Created attachment 96075 [details] [review]
Bug 24090: Subfield text in red when mandatory in record edition

In biblio or autority record edition, color subfield text in red when mandatory.
Like patron fields in patron edition form.

Test plan :
1) Edit a biblio record
2) See that mandatory subield text is red (#C00)
3) Same in autority record edition
Comment 3 Marcel de Rooy 2019-12-13 07:20:52 UTC
Created attachment 96237 [details] [review]
Bug 24090: Subfield text in red when mandatory in record edition

In biblio or autority record edition, color subfield text in red when mandatory.
Like patron fields in patron edition form.

Test plan :
1) Edit a biblio record
2) See that mandatory subield text is red (#C00)
3) Same in autority record edition

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2019-12-13 14:07:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Martin Renvoize 2019-12-13 14:07:28 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2019-12-20 16:14:05 UTC
Pushed to 19.11.01
Comment 7 Lucas Gass 2020-01-06 20:59:14 UTC
backported to 19.05.x for 19.05.07
Comment 8 Hayley Mapley 2020-01-10 00:17:58 UTC
Backported to 18.11.x for 18.11.13